import { ExpertYancen } from '@/views';
import type { Metadata } from 'next';
import { metaInfo, phoneBeautify } from '@shared/lib';
import { headers } from 'next/headers';
import { TMetainfo } from '@shared/types/metainfo';
import { CONTACTS } from '@shared/const/contacts';

const metainfo: TMetainfo = {
  title: 'Эксперт - Янцен Яна Николаевна',
  description: `Оценщики и судебные эксперты в Сочи, ${CONTACTS.COMPANY_FULL}. Сертифицированы РОО. Консультация - бесплатно! Тел.: ${phoneBeautify(CONTACTS.PHONE)}.`,
  companyName: CONTACTS.COMPANY_FULL,
  phone: phoneBeautify(CONTACTS.PHONE),
  ogImageUrl: '/images/opengraph/main.png',
};

export async function generateMetadata(): Promise<Metadata> {
  const h = await headers();
  const referer = h.get('referer') ?? '';
  const host = h.get('host') ?? '';
  const proto = h.get('x-forwarded-proto') ?? '';
  const path = referer ? new URL(referer).pathname : '';

  const metainfoExtended = Object.assign({}, metainfo, {
    host: `${proto}://${host}`,
    path: path,
  });

  return metaInfo(metainfoExtended);
}

export default function Page() {
  return <ExpertYancen />;
}
